Skip to content

Asana: Project templates schemas

11 Asana schemas with complete fields and constraints.

← Project templates operations · All schemas

Get a project template — response body — data

FieldTypePresenceDescription and constraints
$objectRoot
dataModelRequired within parentExpand Get a project template — response body — data data — sdk__Project Template Response

Referenced models: Get a project template — response body — data data — sdk__Project Template Response

Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team

FieldTypePresenceDescription and constraints
$JSONRoot
$ (allOf 1)ModelAll variants applyExpand Get a team's project templates — response body — data, next page data item
$ (allOf 2)objectAll variants apply
$ (allOf 2).descriptionstringOptionalFree-form textual information associated with the project template
$ (allOf 2).html_descriptionstringOptionalThe description of the project template with formatting as HTML. See [rich text](/docs/rich-text#reading-rich-text).
$ (allOf 2).publicbooleanOptionalTrue if the project template is public to its team.
$ (allOf 2).ownerJSONOptional
$ (allOf 2).owner (anyOf 1)JSONAlternativeThe current owner of the project template, may be null.
$ (allOf 2).owner (anyOf 1) (allOf 1)ModelAll variants applyExpand Get users in a team — response body — data data item
$ (allOf 2).owner (anyOf 1) (allOf 2)objectAll variants apply
$ (allOf 2).owner (anyOf 2)nullAlternative
$ (allOf 2).teamJSONOptional
$ (allOf 2).team (allOf 1)ModelAll variants applyExpand Add a user to a team — response body — data data team — Team Compact
$ (allOf 2).requested_datesarrayOptionalArray of date variables in this project template. Calendar dates must be provided for these variables when instantiating a project.
Read only: true
$ (allOf 2).requested_dates[]ModelEach itemExpand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item
$ (allOf 2).colorJSONOptional
$ (allOf 2).color (anyOf 1)stringAlternativeColor of the project template.
Known values: dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray
$ (allOf 2).color (anyOf 2)nullAlternative
$ (allOf 2).requested_rolesarrayOptionalArray of template roles in this project template. User Ids can be provided for these variables when instantiating a project to assign template tasks to the user.
$ (allOf 2).requested_roles[]ModelEach itemExpand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item

Referenced models: Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item, Get a team's project templates — response body — data, next page data item, Add a user to a team — response body — data data team — Team Compact, Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item, Get users in a team — response body — data data item

Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested dates item

FieldTypePresenceDescription and constraints
$objectRoot
gidstringOptionalGlobally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date.
Read only: true
namestringOptionalThe name of the date variable.
Read only: true
descriptionstringOptionalThe description of what the date variable is used for when instantiating a project.
Read only: true

Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team color, description, html description, owner, public, requested dates, requested roles, team requested roles item

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalName of the template role.

Get a project template — response body — data data — Project Template Response

FieldTypePresenceDescription and constraints
$JSONRoot
$ (allOf 1)ModelAll variants applyExpand Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team

Referenced models: Get a project template — response body — data data color, description, gid, html description, name, owner, public, requested dates, requested roles, resource type, team

Get a project template — response body — data data — sdk__Project Template Response

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A *project template* is an object that allows new projects to be created with a predefined setup, which may include tasks, sections, Rules, etc. It simplifies the process of running a workflow that involves a similar set of work every time.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalName of the project template.
descriptionstringOptionalFree-form textual information associated with the project template
html_descriptionstringOptionalThe description of the project template with formatting as HTML. See [rich text](/docs/rich-text#reading-rich-text).
publicbooleanOptionalTrue if the project template is public to its team.
ownerJSONOptional
owner (anyOf 1)JSONAlternativeThe current owner of the project template, may be null.
owner (anyOf 1) (allOf 1)ModelAll variants applyExpand Get an OOO entry — response body — data data user
owner (anyOf 1) (allOf 2)objectAll variants apply
owner (anyOf 2)nullAlternative
teamModelOptionalExpand Add a user to a team — response body — data data team — shared_team_674c225d7cda
requested_datesarrayOptionalArray of date variables in this project template. Calendar dates must be provided for these variables when instantiating a project.
Read only: true
requested_dates[]objectEach item
requested_dates[].gidstringOptionalGlobally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date.
Read only: true
requested_dates[].namestringOptionalThe name of the date variable.
Read only: true
requested_dates[].descriptionstringOptionalThe description of what the date variable is used for when instantiating a project.
Read only: true
colorJSONOptional
color (anyOf 1)stringAlternativeColor of the project template.
Known values: dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray
color (anyOf 2)nullAlternative
requested_rolesarrayOptionalArray of template roles in this project template. User Ids can be provided for these variables when instantiating a project to assign template tasks to the user.
requested_roles[]objectEach itemA generic Asana Resource, containing a globally unique identifier.
requested_roles[].gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
requested_roles[].resource_typestringOptionalThe base type of this resource.
Read only: true
requested_roles[].namestringOptionalName of the template role.

Referenced models: Get an OOO entry — response body — data data user, Add a user to a team — response body — data data team — shared_team_674c225d7cda

Get a team's project templates — response body — data, next page

FieldTypePresenceDescription and constraints
$objectRoot
dataarrayRequired within parent
data[]ModelEach itemExpand Get a project template — response body — data data — sdk__Project Template Response
next_pageModelOptionalExpand Get goals — response body — data, next page next page

Referenced models: Get goals — response body — data, next page next page, Get a project template — response body — data data — sdk__Project Template Response

Get a team's project templates — response body — data, next page data item

FieldTypePresenceDescription and constraints
$objectRootA *project template* is an object that allows new projects to be created with a predefined setup, which may include tasks, sections, Rules, etc. It simplifies the process of running a workflow that involves a similar set of work every time.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalName of the project template.

Instantiate a project from a project template — request body — body data

FieldTypePresenceDescription and constraints
$objectRoot
namestringRequired within parentThe name of the new project.
teamstringOptional*Optional*. Sets the team of the new project. If the project template exists in an _organization_, you may specify a value for `team`. If no value is provided then it defaults to the same team as the project template.
publicbooleanOptional*Deprecated:* new integrations use `privacy_setting` instead.
privacy_settingstringOptionalThe privacy setting of the project. *Note: Administrators in your organization may restrict the values of `privacy_setting`.* The value `private_to_team` is deprecated. Use `POST /memberships` to share a project with a team after creation.
One of: public_to_workspace, private_to_team, private
is_strictbooleanOptional*Optional*. If set to `true`, the endpoint returns an "Unprocessable Entity" error if you fail to provide a calendar date value for any date variable. If set to `false`, a default date is used for each unfulfilled date variable (e.g., the current date is used as the Start Date of a project).
requested_datesarrayOptional*Conditional*. Array of mappings of date variables to calendar dates. This property is required in the instantiation request if the project template includes dates (e.g., a start date on a task).
requested_dates[]ModelEach itemExpand Instantiate a project from a project template — request body — body data requested dates item
requested_rolesarrayOptionalArray of mappings of template roles to users.
requested_roles[]ModelEach itemExpand Instantiate a project from a project template — request body — body data requested roles item

Referenced models: Instantiate a project from a project template — request body — body data requested dates item, Instantiate a project from a project template — request body — body data requested roles item

Instantiate a project from a project template — request body — body data requested dates item

FieldTypePresenceDescription and constraints
$objectRoot
gidstringOptionalGlobally unique identifier of the date field in the project template. A value of `1` refers to the project start date, while `2` refers to the project due date.
valueJSONOptional
value (anyOf 1)stringAlternativeThe date with which the date variable should be replaced when instantiating a project. This takes a date with `YYYY-MM-DD` format.
Format: date-time
value (anyOf 2)nullAlternative

Instantiate a project from a project template — request body — body data requested roles item

FieldTypePresenceDescription and constraints
$objectRoot
gidstringOptionalGlobally unique identifier of the template role in the project template.
valuestringOptionalA string identifying a user that should be assigned to the template role. This can either be the string "me", an email, or the gid of a user.

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.